Account
orgs, projects, members, console sessions
Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/teams"{ "object": "list", "data": [ { "id": "team_01J9ZQ3W8X0000000000000000", "name": "Search", "budget": { "monthly_micro": 500000000, "hard": true }, "member_ids": [ "usr_01J8" ], "project_ids": [ "prj_01J8" ], "spend_today_micro": 1200000, "spend_month_micro": 41000000, "created_at": "2026-10-08T06:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/teams" \ -H "Content-Type: application/json" \ -d '{ "name": "Search", "budget": { "monthly_micro": 500000000, "hard": true } }'{ "id": "team_01J9ZQ3W8X0000000000000000", "name": "Search", "budget": { "monthly_micro": 500000000, "hard": true }, "member_ids": [], "project_ids": [], "spend_today_micro": 0, "spend_month_micro": 0, "created_at": "2026-10-08T06:00:00Z"}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/teams/string" \ -H "Content-Type: application/json" \ -d '{ "project_ids": [ "prj_01J8" ] }'{ "id": "team_01J9ZQ3W8X0000000000000000", "name": "Search", "budget": {}, "member_ids": [], "project_ids": [ "prj_01J8" ], "spend_today_micro": 0, "spend_month_micro": 0, "created_at": "2026-10-08T06:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/teams/string"Authorization
bearer In: header
Query Parameters
Value in
- "pending"
- "all"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/approvals"{ "object": "list", "data": [ { "id": "chg_01J9ZK2K4Q7Q3M3QX1V0F1CHG1", "action": "keys", "method": "POST", "route": "/v1/keys", "path": "/v1/keys", "body": { "project_id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "name": "ci deploy" }, "requested_by_kind": "user", "requested_by": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "requested_by_label": "[email protected]", "status": "pending", "created_at": "2026-10-19T10:00:00Z", "expires_at": "2026-10-26T10:00:00Z" } ]}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/approvals/settings"{ "actions": [ "keys", "members" ], "catalogue": [ { "name": "keys", "label": "Create, change, rotate or revoke an API key", "routes": [ "POST /v1/keys", "DELETE /v1/keys/{id}" ] } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/approvals/settings" \ -H "Content-Type: application/json" \ -d '{ "actions": [ "keys", "members" ] }'{ "actions": [ "keys", "members" ], "catalogue": [ { "name": "keys", "label": "Create, change, rotate or revoke an API key", "routes": [ "POST /v1/keys", "DELETE /v1/keys/{id}" ] } ]}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/approvals/string/approve"{ "approval": { "id": "chg_01J9ZK2K4Q7Q3M3QX1V0F1CHG1", "action": "keys", "method": "POST", "route": "/v1/keys", "path": "/v1/keys", "body": { "project_id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "name": "ci deploy" }, "requested_by_kind": "user", "requested_by": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "requested_by_label": "[email protected]", "status": "pending", "created_at": "2026-10-19T10:00:00Z", "expires_at": "2026-10-26T10:00:00Z" }}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/approvals/string/reject" \ -H "Content-Type: application/json" \ -d '{ "reason": "this key should be a test key" }'{ "approval": { "id": "chg_01J9ZK2K4Q7Q3M3QX1V0F1CHG1", "action": "keys", "method": "POST", "route": "/v1/keys", "path": "/v1/keys", "body": { "project_id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "name": "ci deploy" }, "requested_by_kind": "user", "requested_by": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "requested_by_label": "[email protected]", "status": "pending", "created_at": "2026-10-19T10:00:00Z", "expires_at": "2026-10-26T10:00:00Z" }}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/approvals/string/cancel"{ "approval": { "id": "chg_01J9ZK2K4Q7Q3M3QX1V0F1CHG1", "action": "keys", "method": "POST", "route": "/v1/keys", "path": "/v1/keys", "body": { "project_id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "name": "ci deploy" }, "requested_by_kind": "user", "requested_by": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "requested_by_label": "[email protected]", "status": "pending", "created_at": "2026-10-19T10:00:00Z", "expires_at": "2026-10-26T10:00:00Z" }}Authorization
bearer In: header
Query Parameters
value <= 20050a user id or a key id
a part of the path, for example a key id or webhooks
date-timedate-timecsv or jsonl returns every matching entry as one file (not a page), newest first, at most 200,000 entries; a larger result is refused with export_too_large
Value in
- "json"
- "csv"
- "jsonl"
Response Body
application/json
curl -X GET "https://example.com/v1/activity"{ "object": "list", "next_cursor": "", "data": [ { "id": "42", "at": "2026-10-08T06:00:00Z", "actor_kind": "user", "actor_id": "usr_01J8", "actor_label": "[email protected]", "method": "POST", "route": "/v1/keys", "path": "/v1/keys", "status": 201, "request_id": "01J9ZQ3W8X0000000000000000", "ip": "203.0.113.7" } ]}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/limits/requests"{ "object": "list", "data": [ { "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "kind": "limit_increase", "status": "open", "subject": "limit increase beyond plan for production", "body": { "key_id": "key_01J9ZK2K4Q7Q3M3QX1V0F1KEY1", "rpm": 100000, "reason": "launch" }, "created_by": "[email protected]", "created_at": "2026-09-08T10:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/limits/requests" \ -H "Content-Type: application/json" \ -d '{ "key_id": "key_01J9ZK2K4Q7Q3M3QX1V0F1KEY1", "rpm": 300, "reason": "launch" }'{ "status": "approved", "applied": { "rpm": 300, "tpm": 2000000, "concurrency": 32 }, "ticket": { "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "kind": "limit_increase", "status": "resolved", "subject": "limit increase for production", "body": { "key_id": "key_01J9ZK2K4Q7Q3M3QX1V0F1KEY1", "rpm": 300, "reason": "launch" }, "created_by": "[email protected]", "created_at": "2026-09-08T10:00:00Z" }}Authorization
bearer In: header
Query Parameters
Value in
- "limit_increase"
- "invoice_correction"
- "invoice_dispute"
- "refund"
- "close_org"
- "other"
all (the default), active (open or waiting on either side), or one status
Value in
- "all"
- "active"
- "open"
- "waiting_on_support"
- "waiting_on_customer"
- "resolved"
- "closed"
1 <= value <= 200Response Body
application/json
application/json
curl -X GET "https://example.com/v1/tickets"{ "object": "list", "data": [ { "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "kind": "limit_increase", "status": "open", "priority": "normal", "category": "limits", "subject": "limit increase beyond plan for production", "body": { "key_id": "key_01J9ZK2K4Q7Q3M3QX1V0F1KEY1", "rpm": 100000, "reason": "launch" }, "created_by": "[email protected]", "created_at": "2026-09-08T10:00:00Z", "last_activity_at": "2026-09-08T10:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/tickets" \ -H "Content-Type: application/json" \ -d '{ "subject": "Requests timing out", "body": "Since this morning some requests time out.", "category": "technical", "priority": "normal" }'{ "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0CHILD", "kind": "other", "status": "open", "priority": "normal", "category": "technical", "subject": "Requests timing out", "body": { "text": "Since this morning some requests time out." }, "created_by": "[email protected]", "created_at": "2026-10-02T08:00:00Z", "last_activity_at": "2026-10-02T08:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/tickets/string"{ "ticket": { "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0CHILD", "kind": "other", "status": "waiting_on_customer", "priority": "normal", "category": "technical", "subject": "Requests timing out", "body": { "text": "Since this morning some requests time out." }, "created_by": "[email protected]", "created_at": "2026-10-02T08:00:00Z", "last_activity_at": "2026-10-02T09:15:00Z" }, "messages": [ { "id": "tmsg_01J9ZK2K4Q7Q3M3QX1V0F1MSG1", "author": "customer", "author_name": "Dev", "internal": false, "body": "Since this morning some requests time out.", "created_at": "2026-10-02T08:00:00Z" }, { "id": "tmsg_01J9ZK2K4Q7Q3M3QX1V0F1MSG2", "author": "support", "author_name": "Acme AI support", "internal": false, "body": "We see it too and are on it. Can you send a request id?", "created_at": "2026-10-02T09:15:00Z" } ]}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/tickets/string/messages" \ -H "Content-Type: application/json" \ -d '{ "body": "Here is one, req_01J9ZK2K4Q7Q3M3QX1V0F1REQ1." }'{ "id": "tmsg_01J9ZK2K4Q7Q3M3QX1V0F1MSG3", "author": "customer", "author_name": "Dev", "internal": false, "body": "Here is one, req_01J9ZK2K4Q7Q3M3QX1V0F1REQ1.", "created_at": "2026-10-02T09:30:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/tickets/string/close"{ "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0CHILD", "kind": "other", "status": "closed", "priority": "normal", "category": "technical", "subject": "Requests timing out", "body": { "text": "Since this morning some requests time out." }, "request_id": "req_01J9ZK2K4Q7Q3M3QX1V0F1REQ1", "created_by": "[email protected]", "created_at": "2026-10-02T08:00:00Z", "last_activity_at": "2026-10-02T09:15:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/tickets/string/reopen"{ "id": "tkt_01J9ZK2K4Q7Q3M3QX1V0F1TKT1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0CHILD", "kind": "other", "status": "waiting_on_support", "priority": "normal", "category": "technical", "subject": "Requests timing out", "body": { "text": "Since this morning some requests time out." }, "request_id": "req_01J9ZK2K4Q7Q3M3QX1V0F1REQ1", "created_by": "[email protected]", "created_at": "2026-10-02T08:00:00Z", "last_activity_at": "2026-10-02T09:15:00Z"}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/announcements"{ "object": "list", "data": [ { "id": "ann_01J9ZK2K4Q7Q3M3QX1V0F1ANN1", "title": "Maintenance on Saturday", "body": "Requests may be slower between 02:00 and 03:00 UTC.", "severity": "info", "starts_at": "2026-10-02T00:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/policy/redact/preview" \ -H "Content-Type: application/json" \ -d '{ "presets": [ "email", "pan" ], "sample": "mail [email protected] PAN ABCDE1234F" }'{ "input": "mail [email protected] PAN ABCDE1234F", "output": "mail [REDACTED:email] PAN [REDACTED:pan]", "redactions": 2, "presets": [ "api_key", "card", "aadhaar", "pan", "email", "phone" ]}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/signup"{ "invite_only": true, "needs_invite": true, "waitlist": { "id": "wl_01J9ZK2K4Q7Q3M3QX1V0F1GATE", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1GATE", "email": "[email protected]", "company": "Acme", "use_case": "support bot", "status": "pending", "created_at": "2026-09-30T10:00:00Z" }}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/signup/waitlist" \ -H "Content-Type: application/json" \ -d '{ "company": "Acme", "use_case": "support bot over our docs" }'{ "id": "wl_01J9ZK2K4Q7Q3M3QX1V0F1GATE", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1GATE", "email": "[email protected]", "company": "Acme", "use_case": "support bot over our docs", "status": "pending", "created_at": "2026-09-30T10:00:00Z"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/access-requests" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "name": "Dana Rao", "company": "Example Labs", "job_title": "CTO", "country": "IN", "website": "https://example.com", "use_case": "support agents over our product docs", "monthly_spend": "100_1000", "accept_terms": true }'{ "status": "received"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/access-requests/activation" \ -H "Content-Type: application/json" \ -d '{ "token": "3q2-7wEAAQIDBAUGBwgJCgsMDQ4PEBESExQVFhcYGRo" }'{ "email": "[email protected]", "name": "Dana Rao", "expires_at": "2026-10-12T10:00:00Z"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/access-requests/activate" \ -H "Content-Type: application/json" \ -d '{ "token": "3q2-7wEAAQIDBAUGBwgJCgsMDQ4PEBESExQVFhcYGRo", "password": "correct horse battery staple" }'{ "email": "[email protected]", "status": "activated"}curl -X GET "https://example.com/v1/challenge"{ "object": "challenge", "provider": "turnstile", "site_key": "0x4AAAAAAAexample", "action": "create_org"}curl -X GET "https://example.com/v1/documents/dpa""string"Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/close" \ -H "Content-Type: application/json" \ -d '{ "confirm": "acme", "refund_requested": true }'{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "closed", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z", "closed_at": "2026-09-11T09:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/erasure"{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z", "erasure_requested_at": "2026-09-11T09:00:00Z", "erasure_due_at": "2026-10-11T09:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X DELETE "https://example.com/v1/orgs/string/erasure"{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/transfer" \ -H "Content-Type: application/json" \ -d '{ "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR2" }'{ "owner": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR2", "previous_owner_role": "admin"}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/projects"{ "object": "list", "data": [ { "id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "default", "name": "Default", "environment": "live", "status": "active", "budget": { "monthly_micro": 500000000, "hard": false }, "spend_today_micro": 12500000, "spend_month_micro": 61000000, "created_at": "2026-09-01T10:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{ "slug": "mobile", "name": "Mobile", "environment": "live" }'{ "id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ2", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "mobile", "name": "Mobile", "environment": "live", "status": "active", "budget": { "monthly_micro": 500000000, "hard": false }, "spend_today_micro": 12500000, "spend_month_micro": 61000000, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/projects/string"{ "id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "default", "name": "Default", "environment": "live", "status": "active", "budget": { "monthly_micro": 500000000, "hard": false }, "spend_today_micro": 12500000, "spend_month_micro": 61000000, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/projects/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Default (renamed)", "budget": { "monthly_micro": 500000000 } }'{ "id": "prj_01J9ZK2K4Q7Q3M3QX1V0F1PRJ1", "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "default", "name": "Default (renamed)", "environment": "live", "status": "active", "budget": { "monthly_micro": 500000000, "hard": false }, "spend_today_micro": 12500000, "spend_month_micro": 61000000, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/projects/string"Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs"{ "object": "list", "data": [ { "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z" } ]}Authorization
bearer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/orgs" \ -H "Content-Type: application/json" \ -d '{ "slug": "acme", "name": "Acme", "billing_country": "IN" }'{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string"{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/orgs/string" \ -H "Content-Type: application/json" \ -d '{ "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "billing_email": "[email protected]" }'{ "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/members"{ "object": "list", "data": [ { "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "role": "owner", "email": "[email protected]", "name": "Alice" }, { "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR2", "role": "viewer", "email": "[email protected]", "name": "Bob" } ]}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/members" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "role": "member" }'{ "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR3", "role": "member", "email": "[email protected]"}Authorization
bearer In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/orgs/string/members/string" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{ "org_id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "user_id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR2", "role": "admin"}Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/orgs/string/members/string"curl -X GET "https://example.com/auth/login"curl -X GET "https://example.com/auth/callback"curl -X POST "https://example.com/auth/logout"{ "logout_url": "https://auth.ai.ml/realms/aiml/protocol/openid-connect/logout?post_logout_redirect_uri=https%3A%2F%2Fconsole.ai.ml%2Flogin"}Authorization
bearer In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/auth/me"{ "user": { "id": "usr_01J9ZK2K4Q7Q3M3QX1V0F1USR1", "email": "[email protected]", "name": "Alice", "status": "active" }, "orgs": [ { "id": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "slug": "acme", "name": "Acme", "kind": "team", "billing_country": "IN", "billing_currency": "INR", "legal_name": "Acme Pvt Ltd", "gstin": "23AAAAA0000A1ZA", "tax_status": "gst_registered", "plan_id": "payg", "status": "active", "role": "owner", "billing_email": "[email protected]", "billing_address": { "line1": "1 MG Road", "city": "Indore", "state_code": "23", "postal_code": "452001", "country": "IN" }, "settings": { "security": { "require_2fa": false, "session_hours": 12, "console_ip_allow": [], "key_default_expiry_days": 0 } }, "data_policy": { "logging": "on", "retention_days": 30, "zdr": false, "no_train": false, "regions": [], "redact": { "presets": [ "api_key", "card" ], "patterns": [] } }, "created_at": "2026-09-01T10:00:00Z" } ], "active_org": "org_01J9ZK2K4Q7Q3M3QX1V0F1ORG1", "role": "owner"}